package com.atmob.keyboard_android.util

import com.airbnb.lottie.LottieAnimationView
import com.airbnb.lottie.LottieDrawable

/**
 * Lottie动画工具类
 */
class LottieAnimationUtil private constructor() {
    companion object {
        /**
         * 播放Lottie动画
         */
        fun playLottieAnimation(animationView: LottieAnimationView, json: String) {
            animationView.setAnimation(json)
            animationView.repeatCount = LottieDrawable.INFINITE
            animationView.playAnimation()
        }

        /**
         * 停止Lottie动画
         */
        fun stopLottieAnimation(animationView: LottieAnimationView) {
            animationView.cancelAnimation()
        }
    }
}